%define upstream_name    ExtUtils-XSpp
%define upstream_version 0.1603

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A tiny C++ class example that holds a string and an int
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.220.200
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::Differences)
BuildRequires: perl-devel
Requires:   perl(ExtUtils::ParseXS) >= 2.220.0
Provides:   perl(ExtUtils::XSpp::Lexer)

%description
Anything that does not look like a XS++ directive or a class declaration is
passed verbatim to XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.300-2.mga3
+ Revision: 367078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.160.300-1.mga3
+ Revision: 342154
- update to 0.1603

* Tue Nov 06 2012 jquelin <jquelin> 0.160.200-7.mga3
+ Revision: 315007
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.160.200-6.mga3
+ Revision: 283540
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.160.200-5.mga3
+ Revision: 254208
- fix shebang with new perl 5.16 path

* Mon Nov 21 2011 jquelin <jquelin> 0.160.200-4.mga2
+ Revision: 170442
- wrong shebang line
- fix %%description
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 0.160.200-2.mga2
+ Revision: 109885
- rebuild script for perl 5.14.1

* Wed Jun 15 2011 jquelin <jquelin> 0.160.200-1.mga2
+ Revision: 106940
- update to 0.1602

* Sun Mar 13 2011 jquelin <jquelin> 0.160.100-1.mga1
+ Revision: 70515
- update to 0.1601

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 30252
- mageia rebuild
- imported package perl-ExtUtils-XSpp

